cutlass::gemm::FragmentMultiplyAdd< Scalar_ > Struct Template Reference

`#include <fragment_multiply_add.h>`

## Public Types

typedef Shape< 1, 1, 1, 1 > | InstructionShape
| The shape of the instruction. More...
typedef Scalar_ | ScalarA
| The type for A. More...
typedef Scalar_ | ScalarB
| The type for B. More...
typedef Scalar_ | ScalarC
| The type for C and D. More...

## Public Member Functions

CUTLASS_DEVICE | FragmentMultiplyAdd ()
| Ctor. More...
template<typename Fragment_ >
CUTLASS_DEVICE void | multiply (Scalar_ a, Fragment_ const &b, Fragment_ &d)
| Multiply : d = a*b. More...
template<typename Fragment_ >
CUTLASS_DEVICE void | multiply_add (Scalar_ a, Fragment_ const &b, Fragment_ const &c, Fragment_ &d)
| Multiply : d = a*b + c. More...

## Member Typedef Documentation

## InstructionShape

template<typename Scalar_ >

typedef Shape<1, 1, 1, 1> cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::InstructionShape

## ScalarA

template<typename Scalar_ >

typedef Scalar_ cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::ScalarA

## ScalarB

template<typename Scalar_ >

typedef Scalar_ cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::ScalarB

## ScalarC

template<typename Scalar_ >

typedef Scalar_ cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::ScalarC

## Constructor & Destructor Documentation

## FragmentMultiplyAdd()

template<typename Scalar_ >

CUTLASS_DEVICE cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::FragmentMultiplyAdd | ( |  | ) |

inline

## Member Function Documentation

## multiply()

template<typename Scalar_ >
template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::multiply | ( | Scalar_ | a,
|  | Fragment_ const & | b,
|  | Fragment_ & | d
| ) |  |

inline

## multiply_add()

template<typename Scalar_ >
template<typename Fragment_ >

CUTLASS_DEVICE void cutlass::gemm::FragmentMultiplyAdd< Scalar_ >::multiply_add | ( | Scalar_ | a,
|  | Fragment_ const & | b,
|  | Fragment_ const & | c,
|  | Fragment_ & | d
| ) |  |

inline

The documentation for this struct was generated from the following file:

- fragment_multiply_add.h